Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_AV_Endpoint_Strategy Class Reference

`#include <Endpoint_Strategy.h>`

Inheritance diagram for TAO_AV_Endpoint_Strategy:

[legend]
List of all members.

## Public Methods
| TAO_AV_Endpoint_Strategy (void)
| Constructor.
virtual | ~TAO_AV_Endpoint_Strategy (void)
| Destructor.
virtual int | create_A (AVStreams::StreamEndPoint_A_ptr &stream_endpoint, AVStreams::VDev_ptr &vdev ACE_ENV_ARG_DECL)
| Called by the MMDevice, when it needs to create an A type endpoint.
virtual int | create_B (AVStreams::StreamEndPoint_B_ptr &stream_endpoint, AVStreams::VDev_ptr &vdev ACE_ENV_ARG_DECL)
| Called by the MMDevice, when it needs to create an B type endpoint.
## Protected Attributes
AVStreams::StreamEndPoint_A_var | stream_endpoint_a_
| The "A" stream endpoint.
AVStreams::StreamEndPoint_B_var | stream_endpoint_b_
| The "B" stream endpoint.
AVStreams::VDev_var | vdev_
| The vdev.

## Detailed Description

Base class to define various endpoint strategies used by the MMDevice to create the Endpoint and Vdev

## Constructor & Destructor Documentation

TAO_AV_Endpoint_Strategy::TAO_AV_Endpoint_Strategy | ( | void |  | ) |

| Constructor.

TAO_AV_Endpoint_Strategy::~TAO_AV_Endpoint_Strategy | ( | void |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

virtual int TAO_AV_Endpoint_Strategy::create_A | ( | AVStreams::StreamEndPoint_A_ptr & | stream_endpoint,
|  | AVStreams::VDev_ptr &vdev | ACE_ENV_ARG_DECL
| ) | `[virtual]`

| Called by the MMDevice, when it needs to create an A type endpoint. Reimplemented in TAO_AV_Endpoint_Process_Strategy_A, and TAO_AV_Endpoint_Reactive_Strategy_A< T_StreamEndpoint, T_VDev, T_MediaCtrl >.

virtual int TAO_AV_Endpoint_Strategy::create_B | ( | AVStreams::StreamEndPoint_B_ptr & | stream_endpoint,
|  | AVStreams::VDev_ptr &vdev | ACE_ENV_ARG_DECL
| ) | `[virtual]`

| Called by the MMDevice, when it needs to create an B type endpoint. Reimplemented in TAO_AV_Endpoint_Process_Strategy_B, and TAO_AV_Endpoint_Reactive_Strategy_B< T_StreamEndpoint, T_Vdev, T_MediaCtrl >.

## Member Data Documentation

AVStreams::StreamEndPoint_A_var TAO_AV_Endpoint_Strategy::stream_endpoint_a_`[protected]`

| The "A" stream endpoint.

AVStreams::StreamEndPoint_B_var TAO_AV_Endpoint_Strategy::stream_endpoint_b_`[protected]`

| The "B" stream endpoint.

AVStreams::VDev_var TAO_AV_Endpoint_Strategy::vdev_`[protected]`

| The vdev.

The documentation for this class was generated from the following files:

- Endpoint_Strategy.h
- Endpoint_Strategy.cpp